Yogit Yogit - 14 days ago 20
Javascript Question

I am trying to run my meteor app but its giving a bunch of errors

Please help me out with this..While running the app it is showing errors. What should I do to fix it up, why are these errors coming?

C:\Users\admin\notes>meteor
[[[[[ C:\Users\admin\notes ]]]]]

=> Started proxy.
=> A patch (Meteor 1.4.2.3) for your current release is available!
Update this project now with 'meteor update --patch'.
=> Started MongoDB.
W20161120-00:20:37.659(5.5)? (STDERR) C:\Users\admin\notes\.meteor\local\build\p
rograms\server\boot.js:348
W20161120-00:20:37.773(5.5)? (STDERR) }).run();
W20161120-00:20:37.775(5.5)? (STDERR) ^
W20161120-00:20:37.776(5.5)? (STDERR)
W20161120-00:20:37.777(5.5)? (STDERR) Error: The babel-runtime npm package could
not be found in your node_modules
W20161120-00:20:37.780(5.5)? (STDERR) directory. Please run the following comman
d to install it:
W20161120-00:20:37.783(5.5)? (STDERR)
W20161120-00:20:37.785(5.5)? (STDERR) meteor npm install --save babel-runtime
W20161120-00:20:37.787(5.5)? (STDERR)
W20161120-00:20:37.788(5.5)? (STDERR) at meteorInstall.node_modules.meteor.b
abel-runtime.babel-runtime.js (packages\babel-runtime.js:37:9)
W20161120-00:20:37.791(5.5)? (STDERR) at fileEvaluate (packages\modules-runt
ime.js:181:9)
W20161120-00:20:37.794(5.5)? (STDERR) at require (packages\modules-runtime.j
s:106:16)
W20161120-00:20:37.796(5.5)? (STDERR) at packages\babel-runtime.js:139:15
W20161120-00:20:37.798(5.5)? (STDERR) at packages\babel-runtime.js:150:3
W20161120-00:20:37.799(5.5)? (STDERR) at C:\Users\admin\notes\.meteor\local\
build\programs\server\boot.js:295:34
W20161120-00:20:37.801(5.5)? (STDERR) at Array.forEach (native)
W20161120-00:20:37.803(5.5)? (STDERR) at Function._.each._.forEach (C:\Users
\admin\AppData\Local\.meteor\packages\meteor-tool\1.4.2_1\mt-os.windows.x86_32\d
ev_bundle\server-lib\node_modules\underscore\underscore.js:79:11)
W20161120-00:20:37.807(5.5)? (STDERR) at C:\Users\admin\notes\.meteor\local\
build\programs\server\boot.js:128:5
W20161120-00:20:37.810(5.5)? (STDERR) at C:\Users\admin\notes\.meteor\local\
build\programs\server\boot.js:344:5
=> Exited with code: 1
W20161120-00:20:39.759(5.5)? (STDERR) C:\Users\admin\notes\.meteor\local\build\p
rograms\server\boot.js:348
W20161120-00:20:39.762(5.5)? (STDERR) }).run();
W20161120-00:20:39.764(5.5)? (STDERR) ^
W20161120-00:20:39.767(5.5)? (STDERR)
W20161120-00:20:39.769(5.5)? (STDERR) Error: The babel-runtime npm package could
not be found in your node_modules
W20161120-00:20:39.772(5.5)? (STDERR) directory. Please run the following comman
d to install it:
W20161120-00:20:39.775(5.5)? (STDERR)
W20161120-00:20:39.777(5.5)? (STDERR) meteor npm install --save babel-runtime
W20161120-00:20:39.779(5.5)? (STDERR)
W20161120-00:20:39.781(5.5)? (STDERR) at meteorInstall.node_modules.meteor.b
abel-runtime.babel-runtime.js (packages\babel-runtime.js:37:9)
W20161120-00:20:39.784(5.5)? (STDERR) at fileEvaluate (packages\modules-runt
ime.js:181:9)
W20161120-00:20:39.787(5.5)? (STDERR) at require (packages\modules-runtime.j
s:106:16)
W20161120-00:20:39.790(5.5)? (STDERR) at packages\babel-runtime.js:139:15
W20161120-00:20:39.791(5.5)? (STDERR) at packages\babel-runtime.js:150:3
W20161120-00:20:39.793(5.5)? (STDERR) at C:\Users\admin\notes\.meteor\local\
build\programs\server\boot.js:295:34
W20161120-00:20:39.796(5.5)? (STDERR) at Array.forEach (native)
W20161120-00:20:39.798(5.5)? (STDERR) at Function._.each._.forEach (C:\Users
\admin\AppData\Local\.meteor\packages\meteor-tool\1.4.2_1\mt-os.windows.x86_32\d
ev_bundle\server-lib\node_modules\underscore\underscore.js:79:11)
W20161120-00:20:39.802(5.5)? (STDERR) at C:\Users\admin\notes\.meteor\local\
build\programs\server\boot.js:128:5
W20161120-00:20:39.804(5.5)? (STDERR) at C:\Users\admin\notes\.meteor\local\
build\programs\server\boot.js:344:5
=> Exited with code: 1
W20161120-00:20:41.575(5.5)? (STDERR) C:\Users\admin\notes\.meteor\local\build\p
rograms\server\boot.js:348
W20161120-00:20:41.578(5.5)? (STDERR) }).run();
W20161120-00:20:41.580(5.5)? (STDERR) ^
W20161120-00:20:41.581(5.5)? (STDERR)
W20161120-00:20:41.582(5.5)? (STDERR) Error: The babel-runtime npm package could
not be found in your node_modules
W20161120-00:20:41.585(5.5)? (STDERR) directory. Please run the following comman
d to install it:
W20161120-00:20:41.587(5.5)? (STDERR)
W20161120-00:20:41.589(5.5)? (STDERR) meteor npm install --save babel-runtime
W20161120-00:20:41.590(5.5)? (STDERR)
W20161120-00:20:41.591(5.5)? (STDERR) at meteorInstall.node_modules.meteor.b
abel-runtime.babel-runtime.js (packages\babel-runtime.js:37:9)
W20161120-00:20:41.593(5.5)? (STDERR) at fileEvaluate (packages\modules-runt
ime.js:181:9)
W20161120-00:20:41.596(5.5)? (STDERR) at require (packages\modules-runtime.j
s:106:16)
W20161120-00:20:41.598(5.5)? (STDERR) at packages\babel-runtime.js:139:15
W20161120-00:20:41.600(5.5)? (STDERR) at packages\babel-runtime.js:150:3
W20161120-00:20:41.601(5.5)? (STDERR) at C:\Users\admin\notes\.meteor\local\
build\programs\server\boot.js:295:34
W20161120-00:20:41.604(5.5)? (STDERR) at Array.forEach (native)
W20161120-00:20:41.606(5.5)? (STDERR) at Function._.each._.forEach (C:\Users
\admin\AppData\Local\.meteor\packages\meteor-tool\1.4.2_1\mt-os.windows.x86_32\d
ev_bundle\server-lib\node_modules\underscore\underscore.js:79:11)
W20161120-00:20:41.608(5.5)? (STDERR) at C:\Users\admin\notes\.meteor\local\
build\programs\server\boot.js:128:5
W20161120-00:20:41.611(5.5)? (STDERR) at C:\Users\admin\notes\.meteor\local\
build\programs\server\boot.js:344:5
=> Exited with code: 1
=> Your application is crashing. Waiting for file change.

Answer

Did you try doing

meteor npm install --save babel-runtime
Comments